Page MenuHomePhabricator

Special:EntityData should handle form IDs
Closed, ResolvedPublic3 Story Points

Description

GIVEN The lexeme L123 with form L123-F1 exists
WHEN I open Special:EntityData/L123-F1 in the browser
THEN I am presented with the page of lexeme L123
AND the page is scrolled to the anchor of the form L123-F1

GIVEN The lexeme L123 with form L123-F1 exists
WHEN I open Special:EntityData/L123-F1.json
THEN I am presented that JSON representation of the form (as it would to for wbgetentities)

GIVEN The lexeme L123 with form L123-F1 exists
WHEN I open Special:EntityData/L123-F1.rdf
THEN I see the error message saying "RDF export is disabled for this type of entity: lexeme."

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterDefined serializer-factory callback for forms.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 13 2018, 1:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
WMDE-leszek updated the task description. (Show Details)Apr 17 2018, 3:33 PM
WMDE-leszek set the point value for this task to 3.Apr 17 2018, 3:39 PM

Change 434443 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Defined serializer-factory callback for forms.

https://gerrit.wikimedia.org/r/434443

Lydia_Pintscher renamed this task from Special:EntityPage should handle form IDs to Special:EntityData should handle form IDs.May 27 2018, 3:54 PM
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher updated the task description. (Show Details)

Change 434443 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Defined serializer-factory callback for forms.

https://gerrit.wikimedia.org/r/434443

Lydia_Pintscher closed this task as Resolved.Jun 5 2018, 7:52 AM
Lydia_Pintscher claimed this task.